Skip to main content
POST
Create a Companion Product for a Native Ad Item

Authorizations

Authorization
string
header
required

API key en el header Authorization: Basic TU_API_KEY. La key va tal cual, sin codificar en base64. Las credenciales se entregan al comenzar la integración.

Path Parameters

ad_item_id
integer
required

Identifier of the ad item.

Body

application/json
catalog
integer
required

The ID of the product DB catalog.

Example:

10001

product_identifier
string
required

The product identifier (SKU) within the catalog.

Example:

"SKU-1001"

Response

200 - application/json

successful operation

object
string

A string denoting the current resource being requested or affected.

Example:

"ad_item_companion_product"

self
string

The relative URL of the current resource being requested or affected.

Example:

"/v2/ad-items/image/1234/companions/products/5678"

id
integer
read-only

The current resource identifier (ID).

Example:

1234

catalog
integer

The ID of the product DB catalog.

Example:

10001

product_identifier
string

The product identifier (SKU) within the catalog.

Example:

"SKU-1001"